Package Details: python-typish 1.9.1-1

Git Clone URL: https://aur.archlinux.org/python-typish.git (read-only, click to copy)
Package Base: python-typish
Description: Functions for thorough checks on types
Upstream URL: https://github.com/ramonhagenaars/typish
Licenses: MIT
Submitter: ruy16109
Maintainer: greyltc
Last Packager: greyltc
Votes: 0
Popularity: 0.000000
First Submitted: 2020-08-19 12:11
Last Updated: 2020-12-20 13:20

Latest Comments

ChrisMorgan commented on 2021-05-01 05:14

Looks like this should checkdepends on python-pip:

==> Starting check()...
running test
WARNING: Testing via this command is deprecated and will be removed in a future version. Users looking for a generic test entry point independent of test runner are encouraged to use tox.
/usr/bin/python: No module named pip
error: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmpitcf0qsv', '--quiet', 'codecov']' returned non-zero exit status 1.

Or, if I’m reading the situation right, a python-codecov package should be published and have that be added to checkdepends instead.

greyltc commented on 2020-12-17 12:20

Yeah, I don't bump pkgrel when I think it's not needed to trigger a rebuild for everyone.

dack commented on 2020-12-04 17:45

Note - pkgrel should be incremented if there are changes to the PKGBUILD but the upstream version is the same.

greyltc commented on 2020-10-27 19:19

Please read https://wiki.archlinux.org/index.php/Python_package_guidelines on how to write PKGBUILD files for python packages. pip should not be used here, thanks.

greyltc commented on 2020-10-27 19:16

ERROR: Could not install packages due to an EnvironmentError: [Errno 13] Permission denied: 'init.py' Consider using the --user option or check the permissions.